# TokenReader

Abstract class for TokenReaders.

author | Manuel Holtgewe
version | $Id: 5537cc9b0a8b723830e261c0ce978196ad03c555 $
package | phing.filters.util

### Methods

## Constructor

    __construct(\Project $project)

### Arguments

#### $project

`\Project`

## Utility function for logging

    log( $level,  $msg)

### Arguments

#### $level

``

#### $msg

``

## Reads the next token from the Reader

    readToken() : string

abstract

throws | On error

### Response

`string`

### Properties

## Reference to the Project the TokenReader is used in.

    project : \Project

var |

### Type(s)

`\Project`